Bug 8941 - corrupt symlinks in created image
: corrupt symlinks in created image
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/e2fsimage)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-01-26 21:19 by
Modified: 2010-10-30 22:11 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-01-26 21:19:35
e2fsimage-0.2.0-alt6.1 в некоторых случаях при создании образа пишет в симлинки
мусор вместо правильного имени файла.  Мусор также виден в выводе с опцией -v.

Steps to Reproduce:
mkdir root                                          
touch root/sh
ln -s sh root/link
e2fsimage -v -f test.img -s 100 -d root

Actual Results:  
e2fsimage - Version: 0.2.0
mke2fs 1.37 (21-Mar-2005)
Copying file root/sh
Copying symlink root/link -> shг©
Copying symlink 5 2 root/link -> shг©
Copied 0 Directorys, 1 regular files, 2 symlinks
0 hard links and 0 special files - total 3

К "sh" в конце присоединился какой-то мусор; этот же мусор потом виден и при
монтировании полученного образа.
------- Comment #1 From 2006-01-27 10:23:26 -------
Это известная ошибка. К сожалению (или к счастью) - я отказался от e2fsimage
при
создании образов, перейдя на initramfs и squashfs.

Соответственно готов этот пакет передать в чьи-то другие добрые руки. 

Mainstream у него отсутствует, соответственно изменения надо вносить самим.
------- Comment #2 From 2007-04-01 02:08:25 -------
Unassigned
------- Comment #3 From 2010-10-30 22:11:29 -------
apparently wontfix